//
//    DDTITLE.DCL     Version 2.1
//
//
//
// Copyright September 1995, Greg MacGeorge
// DDTITLE.DCL - Used to get input for the DDTITLE.LSP program.


dcl_settings : default_dcl_settings { audit_level = 0; }

title : dialog {
    label = /*MSG1*/"Title Block Information";
    : row {
        : boxed_column {
            label = /*MSG2*/"Scale";
          :radio_column {
           :radio_button {
                key = "full";
                label = /*MSG3*/"Full";
                mnemonic = /*MSG4*/"F";
                }
            :radio_button {
                key = "half";
                label = /*MSG5*/"0.50";
                mnemonic = /*MSG6*/"5";
                }
            :radio_button {
                key = "quarter";
                label = /*MSG7*/"0.25";
                mnemonic = /*MSG8*/"2";
                }
            :radio_button {
                key = "eighth";
                label = /*MSG9*/"0.125";
                mnemonic = /*MSG10*/"1";
                }
            :radio_button {
                key = "sixteenth";
                label = /*MSG11*/"0.0625";
                mnemonic = /*MSG12*/"6";
                }
          }
        }
       
        : boxed_column {
            label = /*MSG13*/"Units";
            :radio_column {
            :radio_button {
                key = "Feet";
                label = /*MSG14*/"Feet";
                mnemonic = /*MSG15*/"F";
                }
            :radio_button {
                key = "Inches";
                label = /*MSG16*/"Inches";
                mnemonic = /*MSG17*/"I";
                }
            }
        }
       
        : boxed_column {
            label = /*MSG18*/"Paper";
            :radio_column {
            :radio_button {
                key = "A";
                label = /*MSG19*/"A Size";
                mnemonic = /*MSG20*/"A";
                }
            :radio_button {
                key = "B";
                label = /*MSG21*/"B Size";
                mnemonic = /*MSG22*/"B";
                }
            :radio_button {
                key = "C";
                label = /*MSG23*/"C Size";
                mnemonic = /*MSG24*/"C";
                }
            :radio_button {
                key = "D";
                label = /*MSG25*/"D Size";
                mnemonic = /*MSG26*/"D";
                }
            }
        }
    }
    :row {
        ok_button;
        cancel_button;
    }
}
//
//
//
//
registr : dialog {
    label = "DDTITLE.LSP Registration";
        : boxed_column {
        : text {
            label = "               DDTITLE SHAREWARE VERSION 2.1";
            }
        }
        spacer_1;
        : boxed_column {
        : text {
            label = "         This program is NOT a registered version!!";
            }
        :boxed_row {
        :column {
        : text {
            label = "DDTITLE.LSP will become disabled after";
            }}
        :column {
        : text {
            key = "run_count";
            label = "";
            fixed_width = true;
            width = 1;
            }}
        :column {
        : text {
            label = "more executions";
            }}
        }

        spacer_1;
        : text {
            label = "To register: E-MAIL Greg M. MacGeorge 76725,1023";
            }
        spacer_1;
        : text {
            label = "When registration is complete you get:";
            }
        : text {
            label = "1. The latest program version.";
            }
        : text {
            label = "2. Full program documentation.";
            }
        : text {
            label = "3. Deletion of this annoying screen.";
            }
        spacer_1;
        : text {
            label = "   $9.95 + $1.50 S/H";
            }
        }
        :row {cancel_button;}
}
